<inp2:adm_SetPopupSize width="650" height="400"/>
<inp2:m_include t="incs/header"/>

<inp2:m_RenderElement name="combined_header" section="in-bulletin:polls" prefix="poll" title_preset="comment_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('poll-comment','<inp2:poll-comment_SaveEvent/>');
						}
					) );

				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('poll-comment', 'OnCancel','<inp2:poll-comment_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );


				 a_toolbar.AddButton(
					new ToolBarButton(
						'reset_edit',
						'<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>',
						function() {
							reset_form('poll-comment', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
						}
					)
				);

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton(
								new ToolBarButton(
									'prev',
									'<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>',
									function() {
										go_to_id('poll-comment', '<inp2:poll_PrevId/>');
									}
								)
							);

							a_toolbar.AddButton(
								new ToolBarButton(
									'next',
									'<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>',
									function() {
										go_to_id('poll-comment', '<inp2:poll_NextId/>');
									}
								)
							);

				a_toolbar.Render();

				<inp2:m_if check="poll-comment_IsSingle">
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="poll-comment_IsLast">
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="poll-comment_IsFirst">
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>

			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:poll-comment_SaveWarning name="grid_save_warning"/>
<inp2:poll-comment_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" title="la_section_General"/>
			<inp2:m_RenderElement name="inp_edit_hidden" prefix="poll-comment" field="PollId"/>
			<inp2:m_RenderElement name="inp_label" prefix="poll-comment" field="CommentId" title="la_fld_Id"/>
			<inp2:m_RenderElement name="inp_edit_user" prefix="poll-comment" field="CreatedById" title="la_fld_CreatedById" class="text"/>
			<inp2:m_RenderElement name="inp_edit_textarea" prefix="poll-comment" field="CommentBody" title="la_fld_PollComment" control_options="{min_height: 100}" cols="70" rows="5"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="poll-comment" field="GuestName" title="la_fld_PollGuestName" size="40"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="poll-comment" field="GuestEmail" title="la_fld_PollGuestEmail" size="40"/>
			<inp2:m_RenderElement name="inp_edit_date_time" prefix="poll-comment" field="CreatedOn" title="la_fld_CreatedOn"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="poll-comment" field="Priority" title="la_fld_Priority" size="5"/>
			<inp2:m_RenderElement name="inp_edit_options" prefix="poll-comment" field="Status" title="la_fld_Status"/>
			<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>